<template id="about">
    <v-ons-page class="main-page">
        <v-ons-toolbar>
            <div class="center text-center">
                <img src="/img/handly.svg" class="mr-2" :alt="title">
                <h1>{{ title }}</h1>
            </div>
            <div class="right position-absolute">
                <v-ons-toolbar-button @click="toggleMenu">
                    <v-ons-icon icon="ion-ios-menu, material: md-menu"></v-ons-icon>
                </v-ons-toolbar-button>
            </div>
        </v-ons-toolbar>

        <v-ons-progress-bar :value="progress"></v-ons-progress-bar>

        <div class="p-3 my-3">
            Ym-ishara.kz - әр сөзді ым-ишара қимыладары арқылы түсіндіретін бейнені қарау арқылы ым тілін үйренуге арналған жоба. Бұл жобаның көмегімен сіз өзіңіз қалаған  сөзді санаттық немесе алфавиттік сұрыптау арқылы оңай табуыңызға болады.
        </div>
    </v-ons-page>
</template>


<script>
    export default {
        props: ['toggleMenu'],
        data() {
            return {
                title: document.title,
                progress: 0,
                progressBarFinished: false
            }
        },
        mounted() {
            setInterval(() => {
                if (this.progress >= 100) {
                    return;
                } else if (this.progress > 90) {
                    this.progress = this.progress + 0.2
                } else if (this.progress > 80) {
                    this.progress = this.progress + 0.5
                } else {
                    this.progress++;
                }
            }, 40)
        },
        methods: {
            isAndroid() {
                return this.$ons.platform.isAndroid();
            },
            finishProgress() {
                this.progress = 100;
            }
        }
    }
</script>